use crate::configuration::compose_types::DockerCompose;
use std::fs::File;
use std::io::Read;

pub fn parse_compose_config(file: Option<String>) -> anyhow::Result<DockerCompose> {
    let file_path = file.unwrap_or("docker-compose.yaml".to_string());
    let mut file = File::open(file_path)?;
    let mut contents = String::new();
    file.read_to_string(&mut contents)?;
    let compose: DockerCompose = serde_yaml::from_str(&contents)?;
    Ok(compose)
}
